/* created by Rastavovich  rastavovich@gmx.net

   New Classes: RAS_Su25UGB
   New Weapon/Ammo Classes: RAS_UnguidedBombLauncher  Ammo: RAS_UnguidedBomb
   Needed .PBO : LASERGUIDED.PBO 
*/

#define true 1
#define false 0
#define WeaponNoSlot		0// dummy weapons
#define WeaponSlotPrimary	1// primary weapons
#define WeaponSlotSecondary	16// secondary weapons
#define WeaponSlotItem		256// items
#define WeaponSlotBinocular	4096// binocular
#define WeaponHardMounted	65536

class CfgPatches
{
	class RAS_Su25UGB
	{
		units[] = {RAS_Su25UGB};
		weapons[] = {RAS_UnguidedBombLauncher};
		requiredVersion = 1.26;
	};
};

class CfgAmmo
{
	class Default {};
	class LaserGuidedBomb: Default {};
	class RAS_UnguidedBomb : LaserGuidedBomb
	{
		
		maxRange=3500;maxRangeProbab=0.95;
		cost=15000;
		laserLock=false;
		maneuvrability=0;
	};
};

class CfgWeapons
{
	class Default {};
	class LaserGuidedBombLauncher: Default {};
	class RAS_UnguidedBombLauncher: LaserGuidedBombLauncher 
	{
		ammo=RAS_UnguidedBomb;
		displayName=$STR_DN_UNGUIDED_BOMB;
		displayNameMagazine=$STR_DN_UNGUIDED_BOMB;
		shortNameMagazine=$STR_DN_UNGUIDED_BOMB;
		count=6;
		reloadTime=0.2;
		initSpeed=0;

		aiRateOfFire=13.0; // delay between shots at given distance
		aiRateOfFireDistance=2500; // at shorter distance delay goes lineary to zero
	};
};


class CfgVehicles
{
	class All {};
	class AllVehicles: All {};
	class Air: AllVehicles {};
	class Plane: Air {};
	class Su25 : Plane {};
	class RAS_Su25UGB: Su25
	{
		displayName="RAS_Su-25 (UGB)";
		weapons[]={RAS_UnguidedBombLauncher, Rocket57x64, MachineGun30A10};
		magazines[]={RAS_UnguidedBombLauncher, Rocket57x64, MachineGun30A10};
	};
	
};


